/* Perfectspot - Wordperfect Graphics viewer
 * Copyright (C) 2007 Ariya Hidayat (ariya@kde.org)
 * Copyright (C) 2006 Ariya Hidayat (ariya@kde.org)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA
 *
 */

/* "This product is not manufactured, approved, or supported by
 * Corel Corporation or Corel Corporation Limited."
 */

#ifndef RENDERER_H
#define RENDERER_H

#include <QObject>
#include <QSize>

class QPainter;

class RendererPrivate;

class Renderer : public QObject
{
	Q_OBJECT

public:
	Renderer(const QString &file, QObject *parent=0);
	~Renderer();

	void render(QPainter *target);

	bool writeSVG(const QString &outputFile);

	bool writeODG(const QString &outputFile);

	QSize defaultSize() const;

private:
	RendererPrivate *d;
};


#endif // RENDERER_H
